Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F149815927
D21289.id61108.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D21289.id61108.diff
View Options
Index: sbin/ping/tests/Makefile
===================================================================
--- sbin/ping/tests/Makefile
+++ sbin/ping/tests/Makefile
@@ -5,4 +5,9 @@
ATF_TESTS_C+= in_cksum_test
SRCS.in_cksum_test= in_cksum_test.c ../utils.c
+PACKAGE= tests
+
+ATF_TESTS_SH+= ping_test
+${PACKAGE}FILES+= ping_c1_s56_t1.out
+
.include <bsd.test.mk>
Index: sbin/ping/tests/ping_c1_s56_t1.out
===================================================================
--- /dev/null
+++ sbin/ping/tests/ping_c1_s56_t1.out
@@ -0,0 +1,6 @@
+PING localhost: 56 data bytes
+64 bytes from localhost: icmp_seq=0 ttl= time= ms
+
+--- localhost ping statistics ---
+1 packets transmitted, 1 packets received, 0.0% packet loss
+round-trip min/avg/max/stddev = /// ms
Index: sbin/ping/tests/ping_test.sh
===================================================================
--- /dev/null
+++ sbin/ping/tests/ping_test.sh
@@ -0,0 +1,26 @@
+atf_test_case ping_c1_s56_t1
+ping_c1_s56_t1_head() {
+ atf_set "descr" "Stop after receiving 1 ECHO_RESPONSE packet"
+}
+ping_c1_s56_t1_body() {
+ if ! getaddrinfo -f inet localhost 1>/dev/null 2>&1; then
+ atf_skip "IPv4 is not configured"
+ fi
+ atf_check -s exit:0 -o save:std.out -e empty \
+ ping -c 1 -s 56 -t 1 localhost
+ check_ping_statistics std.out $(atf_get_srcdir)/ping_c1_s56_t1.out
+}
+
+atf_init_test_cases() {
+ atf_add_test_case ping_c1_s56_t1
+}
+
+check_ping_statistics() {
+ sed -e 's/0.[0-9]\{3\}//g' \
+ -e 's/[1-9][0-9]*.[0-9]\{3\}//g' \
+ -e 's/localhost ([0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{1,3\})/localhost/' \
+ -e 's/from [0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{1,3\}/from/' \
+ -e 's/ttl=[0-9][0-9]*/ttl=/' \
+ "$1" >"$1".filtered
+ atf_check -s exit:0 diff -u "$1".filtered "$2"
+}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Mar 28, 7:43 AM (14 h, 56 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
30464370
Default Alt Text
D21289.id61108.diff (1 KB)
Attached To
Mode
D21289: ping: add a basic test of ping's functionality
Attached
Detach File
Event Timeline
Log In to Comment